Bug 454092 (CVE-2008-2307) - CVE-2008-2307 WebKit: memory corruption in handling of JavaScript arrays
Summary: CVE-2008-2307 WebKit: memory corruption in handling of JavaScript arrays
Status: CLOSED ERRATA
Alias: CVE-2008-2307
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: source=cve,reported=20080623,public=2...
Keywords: Security
Depends On: 454094 454095
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-04 15:35 UTC by Tomas Hoger
Modified: 2008-07-09 06:51 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-09 06:51:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tomas Hoger 2008-07-04 15:35:03 UTC
Quoting Apple security advisories:

A memory corruption issue exists in WebKit's handling of JavaScript arrays.
Visiting a maliciously crafted website may lead to an unexpected application
termination or arbitrary code execution.

References:
http://lists.apple.com/archives/security-announce/2008//Jun/msg00001.html
http://lists.apple.com/archives/security-announce/2008//Jun/msg00002.html

Upstream commit:
http://trac.webkit.org/changeset/34204

Upstream bug report (restricted and not accessible at the moment):
https://bugs.webkit.org/show_bug.cgi?id=19294

Comment 1 Tomas Hoger 2008-07-04 15:43:51 UTC
This issue should affect WebKit versions currently in F8 and F9
(WebKit-1.0.0-0.9.svn32531).  Should not affect F9-candidate
(WebKit-1.0.0-0.10.svn34279.fc9) and Rawhide (WebKit-1.0.0-0.13.svn34655.fc10).

Comment 3 Fedora Update System 2008-07-06 12:29:37 UTC
WebKit-1.0.0-0.11.svn34655.fc9 has been submitted as an update for Fedora 9

Comment 4 Fedora Update System 2008-07-06 14:52:09 UTC
WebKit-1.0.0-0.10.svn34655.fc8 has been submitted as an update for Fedora 8

Comment 5 Fedora Update System 2008-07-09 02:43:32 UTC
WebKit-1.0.0-0.11.svn34655.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2008-07-09 02:49:30 UTC
WebKit-1.0.0-0.10.svn34655.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Red Hat Product Security 2008-07-09 06:51:38 UTC
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-6220
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-6186




Note You need to log in before you can comment on or make changes to this bug.